<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	            xmlns:ui="http://java.sun.com/jsf/facelets"	   
	            xmlns:h="http://java.sun.com/jsf/html"
	            xmlns:f="http://java.sun.com/jsf/core"
	            xmlns:p="http://primefaces.org/ui"
	            template="/WEB-INF/templates/interno/templateBranco.xhtml">
	            

	<ui:define name="content">
	<h:form id="EspecieListForm" class="form-height">

		<p:contextMenu id="EspecieDataTableContextMenu" for="datalist">
		    <p:menuitem value="Novo" onclick="document.getElementById('EspecieListForm:datalist:createButton').click();" icon="fa fa-plus"/>
            <p:menuitem value="Editar" onclick="document.getElementById('EspecieListForm:datalist:editButton').click();" icon="ui-icon-pencil"/>
            <p:menuitem value="Deletar" onclick="document.getElementById('EspecieListForm:datalist:deleteButton').click();" icon="ui-icon-trash"/>	
		</p:contextMenu>
		
		<p:messages showDetail="true" autoUpdate="true" closable="true"/>

		<p:dataTable id="datalist" 
		             var="cliente" 
		             value="#{clienteBean.listarTodos()}"
			         selectionMode="single" 
			         selection="#{clienteBean.clienteSelecionado}"
			         rowKey="#{cliente.id}" 
			          paginator="true"
                     rows="20"
                     
                     rowsPerPageTemplate="20,40,60"
   			         paginatorTemplate="{buttons} {CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
			         paginatorPosition="buttom" >
			          
			         <f:facet name="header">
                <div class="row row-nomargin">
                    
                    <div class="col-lg-12">
                        <h:outputText value="clientes"/>
                    </div>
                    
                </div>
            </f:facet>
			<p:ajax event="rowSelect" update="datalist" />
			<p:column headerText="Código">
				<h:outputText value="#{cliente.codigo}" />
			</p:column>
			<p:column headerText="cliente">
				<h:outputText value="#{cliente.nome}" />
			</p:column>
			
			<p:column headerText="Sobrenome">
				<h:outputText value="#{cliente.sobrenome}" />
			</p:column>
			
			<p:column headerText="Lougradouro">
				<h:outputText value="#{cliente.endereco.lougradouro}" />
			</p:column>
       
			<f:facet name="{buttons}">
                 <div class="footer-left">  
                    <p:commandButton id="createButton" styleClass="btn-primary" icon="fa fa-plus" value="Novo" action="#{clienteBean.novo}" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()"/>
                    <p:commandButton id="editButton"   styleClass="btn-primary" icon="fa fa-pencil" value="Editar" action="#{clienteBean.editar}" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()" disabled="#{empty clienteBean.clienteSelecionado}" />
                    <p:commandButton id="deleteButton" styleClass="btn-primary" icon="fa fa-trash"  value="Deletar" actionListener="#{clienteBean.deletar()}" update="datalist" disabled="#{empty clienteBean.clienteSelecionado}" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                        <p:confirm header="Confirmação" message="Deseja deletar #{clienteBean.clienteSelecionado.nome}?" icon="fa fa-warning"/>
                    </p:commandButton> 
                    <p:commandButton id="petButton"   styleClass="btn-primary" icon="fa fa-pencil" value="pets" action="#{clienteBean.pets()}" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()" disabled="#{empty clienteBean.clienteSelecionado}" />
                 </div>   
                
			</f:facet>
		</p:dataTable>
		
		
		
		<p:confirmDialog global="true" styleClass="box box-danger">  
          <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes btn-success" icon="fa fa-check"/>  
          <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no btn-danger" icon="fa fa-remove"/>       
        </p:confirmDialog>
	</h:form>
</ui:define>
</ui:composition>
